--- old/usr/src/uts/common/io/fdc.c	sam. juil. 16 15:15:42 2016
+++ new/usr/src/uts/common/io/fdc.c	sam. juil. 16 15:15:42 2016
@@ -181,26 +181,26 @@
 	uchar_t nrsltbytes;	/* number of bytes in result */
 	uchar_t cmdtype;		/* characteristics */
 } fdcmds[] = {
-	"", 0, 0, 0,			/* - */
-	"", 0, 0, 0,			/* - */
-	"read_track", 9, 7, 1,		/* 2 */
-	"specify", 3, 0, 3,		/* 3 */
-	"sense_drv_status", 2, 1, 3,	/* 4 */
-	"write", 9, 7, 1,		/* 5 */
-	"read", 9, 7, 1,		/* 6 */
-	"recalibrate", 2, 0, 2,		/* 7 */
-	"sense_int_status", 1, 2, 3,	/* 8 */
-	"write_del", 9, 7, 1,		/* 9 */
-	"read_id", 2, 7, 2,		/* A */
-	"", 0, 0, 0,			/* - */
-	"read_del", 9, 7, 1,		/* C */
-	"format_track", 10, 7, 1,	/* D */
-	"dump_reg", 1, 10, 4,		/* E */
-	"seek", 3, 0, 2,		/* F */
-	"version", 1, 1, 3,		/* 10 */
-	"", 0, 0, 0,			/* - */
-	"perp_mode", 2, 0, 3,		/* 12 */
-	"configure", 4, 0, 4,		/* 13 */
+	{"", 0, 0, 0},			/* - */
+	{"", 0, 0, 0},			/* - */
+	{"read_track", 9, 7, 1},	/* 2 */
+	{"specify", 3, 0, 3},		/* 3 */
+	{"sense_drv_status", 2, 1, 3},	/* 4 */
+	{"write", 9, 7, 1},		/* 5 */
+	{"read", 9, 7, 1},		/* 6 */
+	{"recalibrate", 2, 0, 2},	/* 7 */
+	{"sense_int_status", 1, 2, 3},	/* 8 */
+	{"write_del", 9, 7, 1},		/* 9 */
+	{"read_id", 2, 7, 2},		/* A */
+	{"", 0, 0, 0},			/* - */
+	{"read_del", 9, 7, 1},		/* C */
+	{"format_track", 10, 7, 1},	/* D */
+	{"dump_reg", 1, 10, 4},		/* E */
+	{"seek", 3, 0, 2},		/* F */
+	{"version", 1, 1, 3},		/* 10 */
+	{"", 0, 0, 0},			/* - */
+	{"perp_mode", 2, 0, 3},		/* 12 */
+	{"configure", 4, 0, 4},		/* 13 */
 	/* relative seek */
 };
 
@@ -265,7 +265,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, (void *)&modldrv, NULL
+	MODREV_1, { (void *)&modldrv, NULL }
 };
 
 int
